Skip to content

Retrieve an office hours schedule

Request

You can fetch the details of a single office hours schedule.

Security
bearerAuth
Path
idstringrequired

The unique identifier for the office hours schedule.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  https://api.intercom.io/office_hours_schedules/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

Office hours schedule found

Bodyapplication/json
typestring

The type of the object - always office_hours_schedule.

Example:"office_hours_schedule"
idstring

The unique identifier for the office hours schedule.

Example:"123"
namestring

The name of the office hours schedule.

Example:"Standard Support Hours"
time_zone_namestring

The IANA time zone the schedule's hours are evaluated in.

Example:"America/New_York"
time_intervalsArray of objects(Office Hours Time Interval)

The open intervals that make up the weekly schedule.

twenty_four_sevenboolean

Whether the schedule is open 24/7.

Example:false
created_atinteger

The time the schedule was created as a Unix timestamp.

Example:1717200000
updated_atinteger

The time the schedule was last updated as a Unix timestamp.

Example:1717200000
Response
{ "type": "office_hours_schedule", "id": "123", "name": "Standard Support Hours", "time_zone_name": "America/New_York", "time_intervals": [ {} ], "twenty_four_seven": false, "created_at": 1717200000, "updated_at": 1717200000 }